:root {
  --main-side-padding: 2.6vw;
}

* {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  margin: 0;
  padding: 0;
}
@media screen and (min-width: 620px) {
  .banner-placeholder {
    width: 100%;
    height: 13.3vw;
    background-color: transparent;
  }
  .banner {
    width: 100%;
    top: 0;
    position: absolute;
    z-index: -1000;
  }
  .banner img {
    position: relative;
    /*top: -35.9vw;*/
    top: -29vw;
    width: 100%;
  }

  .content {
    background-color: var(--beige);
    background: linear-gradient(
      180deg,
      rgba(249, 244, 239, 0.78) 0%,
      rgba(249, 244, 239, 1) 19%,
      rgba(249, 244, 239, 1) 100%
    );
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 4.1vw;
    padding: 2.1vw var(--main-side-padding) 5.2vw var(--main-side-padding);
  }

  .quote {
    width: 100%;
  }
  .quote h1 {
    text-align: center;
    font-size: 1.9vw;
  }

  .welcome {
    width: 50%;
    background-color: var(--box-color);
    padding: 2.6vw 3.6vw 2.6vw 3.6vw;
  }
  .welcome p {
    font-family: "Julius Sans One", sans-serif;
    font-weight: 500;
    font-size: 1.6vw;
    text-align: center;
  }

  .feedbacks {
    width: 35%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1vw;
  }
  .feedback {
    background-color: var(--box-color);
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    gap: 0.4vw;
    padding: 30px 50px 30px 50px;
  }
  .feedback h1 {
    font-size: 1.4vw;
  }
  .feedback p {
    font-family: "Julius Sans One", sans-serif;
    font-weight: 500;
    font-size: 1.2vw;
  }
}

@media screen and (max-width: 630px) { /* Mobile View */
  .banner-placeholder {
    height: 68vw;
    position: relative;
    top: 0;
    width: 100%;
    z-index: -100;
  }

  .banner {
    width: 100%;
    overflow-x: hidden;
    z-index: -100;
  }
  .banner img {
    position: relative;
    top: -33vw;
    left: -50vw;
    width: 180%;
  }

  h1 {
    font-size: 6vw;
    color: var(--gray);
    text-align: center;
  }
  p {
    font-size: 5vw;
    color: var(--gray);
    text-align: center;
    padding: 0 5vw 0 5vw;
  }
  a {
    font-size: 4vw;
  }

  .content {
    background-color: var(--beige);
    background: linear-gradient(
      180deg,
      rgba(226, 223, 200, 0.78) 0%,
      rgba(226, 223, 200, 1) 10%,
      rgba(226, 223, 200, 1) 100%
    );
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    gap: 10vw;

    padding: 6vw 0 6vw 0;
  }

  .welcome {
    padding: 1.5vw 3vw 1.5vw 3vw;
  }

  .feedbacks {
    width: 100vw;
    height: 60vw;
    flex-wrap: nowrap;

    display: flex;
    list-style: none;
    overflow-x: scroll;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
  }
  .feedbacks::marker {
    background-color: rgba(0, 255, 0, 1);
  }
  .feedback {
    display: flex;
    margin: 0 5% 0 5%;
    padding: 4vw 0 4vw 0;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex: 0 0 90%;
    background: var(--box-color);
    border-radius: 12px;
    scroll-snap-align: center;
    transition: all 0.2s;
    overflow: hidden;
  }
  .feedback-text-small p, .feedback-text-small a {
    font-size: 3.4vw;
  }
}
